Subject: Re: bug#19839: 24.4; ffap does not detect file paths with curly braced shell variables

From: Dmitry Gutov <[email-masked]>
Date: Tue, 07 Apr 2015 02:53:14 +0300

Hi!

On 02/11/2015 09:23 PM, Kaushal wrote:

> The ffap gives an error if I try to do =C-x C-f= while the path is on a
> path containing curly braces wrapped shell variable.

What kind of error?

I don't see any errors doing `M-x ffap' or `C-x C-f', it just doesn't 
find anything.

> I added "\\{\\}" to the regexp for 'file'.

What's the thinking here? We don't expand env variables in `find-file', 
right? So there will be no match anyway?